# Response composition

The response consists of the data you fetched, and a `pageInfo` node, which contains the cursors and booleans to indicate if there is a previous or next page to be fetched.

```javascript
{
    "edges": [
        {
            // unique key in the entire collection
            "cursor": "7def2f1f-dc88-4750-bc78-85db949f2d65",

            // contains the actual result
            "node": {
                ...
            }
        }
    ],
    "pageInfo": {
        // string or null, will match the cursor of the first node in "edges". Can be used to retrieve the previous page
        "startCursor": "7def2f1f-dc88-4750-bc78-85db949f2d65",

        // string or null, will match the cursor of the last node in "edges". Can be used to retrieve the next page
        "endCursor": "77cd7e48-151b-4cd4-9637-783f67fe5d5c",

        // tells you wether or not there is a previous slice to be fetched
        "hasPreviousPage": false

        // tells you wether or not there is a next slice to be fetched
        "hasNextPage": true
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.tapraise.com/api/api-overview/response-composition.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
